import java.io.*;
import Mathd;
 
public class H3OD5
{ 
// ucgenin kenarinin bulunmasi metodu 

public static double kkenar(double a,double b,double t) 
{ 
double kenar; 
kenar=Math.sqrt(a*a+b*b-2*a*b*Mathd.cosd(t));
return kenar;
} 

public static void main(String[] args) throws IOException 
{ 
Text cin=new Text();
double sayi1;
double sayi2;
double sayi3;
System.out.println(" birinci kenari giriniz : "); 
sayi1=cin.readDouble(); 
System.out.println(" ikinci kenari giriniz  : ");
sayi2=cin.readDouble(); 
System.out.println(" iki kenar arasindaki aciyi derece cinsinden giriniz  : ");
sayi3=cin.readDouble(); 
System.out.println("ucgenin ucuncu kenari : "+kkenar(sayi1,sayi2,sayi3)); 
} 
}


